aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files
diff options
context:
space:
mode:
authorAdrian Schmutzler <freifunk@adrianschmutzler.de>2021-02-26 14:43:50 +0100
committerAdrian Schmutzler <freifunk@adrianschmutzler.de>2021-03-06 11:30:06 +0100
commit85b1f4d8ca2d501664acce471117dc612bb69d82 (patch)
tree000eebacaa54e49940d797da8c5ee4f2d34bed22 /package/base-files
parentb021642cacd1b88836e5906bb2d3397b1de16da9 (diff)
downloadupstream-85b1f4d8ca2d501664acce471117dc612bb69d82.tar.gz
upstream-85b1f4d8ca2d501664acce471117dc612bb69d82.tar.bz2
upstream-85b1f4d8ca2d501664acce471117dc612bb69d82.zip
treewide: remove execute bit and shebang from board.d files
So far, board.d files were having execute bit set and contained a shebang. However, they are just sourced in board_detect, with an apparantly unnecessary check for execute permission beforehand. Replace this check by one for existance and make the board.d files "normal" files, as would be expected in /etc anyway. Note: This removes an apparantly unused '#!/bin/sh /etc/rc.common' in target/linux/bcm47xx/base-files/etc/board.d/01_network Signed-off-by: Adrian Schmutzler <freifunk@adrianschmutzler.de>
Diffstat (limited to 'package/base-files')
-rwxr-xr-xpackage/base-files/files/bin/board_detect2
-rw-r--r--[-rwxr-xr-x]package/base-files/files/etc/board.d/99-default_network1
2 files changed, 1 insertions, 2 deletions
diff --git a/package/base-files/files/bin/board_detect b/package/base-files/files/bin/board_detect
index 840bd0178d..94f45bec53 100755
--- a/package/base-files/files/bin/board_detect
+++ b/package/base-files/files/bin/board_detect
@@ -6,7 +6,7 @@ CFG=$1
[ -d "/etc/board.d/" -a ! -s "$CFG" ] && {
for a in $(ls /etc/board.d/*); do
- [ -x $a ] || continue;
+ [ -s $a ] || continue;
$(. $a)
done
}
diff --git a/package/base-files/files/etc/board.d/99-default_network b/package/base-files/files/etc/board.d/99-default_network
index d70aa352b9..49d2a3b354 100755..100644
--- a/package/base-files/files/etc/board.d/99-default_network
+++ b/package/base-files/files/etc/board.d/99-default_network
@@ -1,4 +1,3 @@
-#!/bin/sh
#
# Copyright (C) 2013-2015 OpenWrt.org
#